#include <stdlib.h>
#include <util/delay.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>

#include "../lib/LCD44780.h"


const char pp[] 	PROGMEM  	= "string_PP";
const char ee[] 	EEMEM  	= "string_EE";


void demo_4x20()
{

  // Initialisierung mit Angabe des Typs und Pinbelegung der
  // Anschluesse.
  LCD44780    lcd( LCD44780::LCD_Type_4x20,
                            PORTA, 0, // Port, Pin LCD-DB4
                            PORTA, 1, // Port, Pin LCD-DB5
                            PORTA, 2, // Port, Pin LCD-DB6
                            PORTA, 3, // Port, Pin LCD-DB7
                            PORTA, 5, // Port, Pin LCD-RS
                            PORTA, 6  // Port, Pin LCD-Enable1
                            );


  lcd.printf("just text");
  lcd.printf(10,0,5,"more");
  lcd.printSZ_P(0, 1, pp);
  lcd.printSZ_E(0, 2, ee);

}



int main(void) {
	// next two lines I need because the LCD on my board has the
	// R/W line connected. So I just pull them down here.
	DDRA |= (1<<PA4);
	PORTA &= ~(1<<PA4);

	demo_4x20();

	  while( "warten aufs juengste Gericht" )
	  {
	  }
}




